pcl::io::FrameWrapper Class Referenceabstract

Pure abstract interface to wrap native frame data types. More...

`#include <pcl/io/image_metadata_wrapper.h>`

## Public Types

typedef boost::shared_ptr< FrameWrapper > | Ptr

## Public Member Functions

virtual const void * | getData () const =0
virtual unsigned | getDataSize () const =0
virtual unsigned | getWidth () const =0
virtual unsigned | getHeight () const =0
virtual unsigned | getFrameID () const =0
virtual pcl::uint64_t | getTimestamp () const =0

## Detailed Description

Pure abstract interface to wrap native frame data types.

Definition at line 55 of file image_metadata_wrapper.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<FrameWrapper> pcl::io::FrameWrapper::Ptr

Definition at line 58 of file image_metadata_wrapper.h.

## Member Function Documentation

## getData()

virtual const void* pcl::io::FrameWrapper::getData | ( |  | ) | const

pure virtual

## getDataSize()

virtual unsigned pcl::io::FrameWrapper::getDataSize | ( |  | ) | const

pure virtual

## getFrameID()

virtual unsigned pcl::io::FrameWrapper::getFrameID | ( |  | ) | const

pure virtual

## getHeight()

virtual unsigned pcl::io::FrameWrapper::getHeight | ( |  | ) | const

pure virtual

## getTimestamp()

virtual pcl::uint64_t pcl::io::FrameWrapper::getTimestamp | ( |  | ) | const

pure virtual

## getWidth()

virtual unsigned pcl::io::FrameWrapper::getWidth | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/image_metadata_wrapper.h